using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using PARR.DAL;

namespace PARR.EsppSync
{
    public static class EsppSyncInstaller
    {
        public static void InstallEsppSyncServices<EsppObject>(this IServiceCollection services, IConfiguration configuration) where EsppObject : class, IEsppObject
        {
            services.AddDalServices(configuration);

            services.AddTransient<ISyncService<EsppObject>, SyncService<EsppObject>>();
        }
    }
}
